################################################################################
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
################################################################################

get_pid() {
	STR=$1
        PID=$2
	if [ ! -z "$PID" ]; then
		JAVA_PID=`ps -ef |grep "$STR"|grep "$PID"|grep -v grep|awk '{print $2}'`
        else
                JAVA_PID=`ps -ef |grep "$STR"|grep -v grep|awk '{print $2}'`
        fi
	echo $JAVA_PID;
}

base=`dirname $0`/..
pidfile=$base/bin/trico-kernel.pid
if [ ! -f "$pidfile" ];then
        echo "trico-kernel is not running. "
        exit
fi

pid=`cat $pidfile`
if [ "$pid" == "" ] ; then
        pid=`get_pid "trico-kernel"`
fi


echo -e "`hostname`: stopping trico-kernel $pid ... "
kill $pid


firefox_pid=`get_pid "firefox"`
if [ ! -z "$firefox_pid" ]; then
	echo -e "`hostname`: stopping firefox ..."
	kill $firefox_pid
fi

driver_pid=`get_pid "geckodriver --port"`
if [ ! -z "$driver_pid" ]; then
        echo -e "`hostname`: stopping driver ..."
        kill $driver_pid
fi


LOOPS=0
while (true); 
do
        gpid=`get_pid "trico-kernel" "$pid"`
    if [ "$gpid" == "" ] ; then
        echo "Oook! cost:$LOOPS"
        `rm $pidfile`
        break;
    fi
    let LOOPS=LOOPS+1
    sleep 1
done

